> ## Documentation Index
> Fetch the complete documentation index at: https://docs.odin.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Post snapshottoken share



## OpenAPI

````yaml post /snapshot/token/{id}/share
openapi: 3.0.0
info:
  title: Odin API
  description: The Odin API documentation
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /snapshot/token/{id}/share:
    post:
      tags:
        - Snapshots
      operationId: SnapshotController_createTokenShareSnapshot
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
        - name: show_balance
          required: true
          in: query
          schema:
            type: boolean
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateTokenShareSnapshotDto'
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SnapshotEntity'
components:
  schemas:
    CreateTokenShareSnapshotDto:
      type: object
      properties:
        message:
          type: string
        show_balance:
          type: boolean
      required:
        - message
        - show_balance
    SnapshotEntity:
      type: object
      properties:
        id:
          type: string
        image:
          type: string
        time:
          format: date-time
          type: string
        user:
          type: string
        token:
          type: string
        data:
          $ref: '#/components/schemas/CreateSnapshotImageDto'
      required:
        - id
        - image
        - time
        - user
        - token
        - data
    CreateSnapshotImageDto:
      type: object
      properties:
        token:
          type: string
        color:
          type: string
        main_value:
          type: string
        values:
          type: array
          items:
            $ref: '#/components/schemas/LabelValue'
      required:
        - token
        - color
        - main_value
        - values
    LabelValue:
      type: object
      properties:
        label:
          type: string
        value:
          type: string
      required:
        - label
        - value

````